import Pannel from '@/components/pannel/index.vue';
import ScrollTable from '@/components/scroll-table-details/index.vue';
import { mapGetters } from 'vuex';
import { contractExpirationWarning } from '../../../../api/index.js';
export default {
  components: {
    ScrollTable,
    Pannel
  },
  data () {
    return {
      isLoad: false,
      headers: ['部门', '合同编码', '合同名称', '合同截止日期'],
      data: [],
      dataName: ['deptName', 'code', 'name', 'endTime']
    };
  },
  computed: {
    ...mapGetters(['year', 'deptId'])
  },
  watch: {
    year: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    },
    deptId: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    }
  },
  methods: {
    lineClick1 (val) {
      console.log(val + 222222222222)
      this.$emit('clickDetail', val, '5')
    },
    getData () {
      if (this.year, this.deptId) {
        this.isLoad = false;
        contractExpirationWarning(this.deptId, this.year).then(res => {
          // console.log('contractExpirationWarning', res);
          let data = res.data;
          this.data = data;
          this.isLoad = true;
        })
      }
    },
  }
};
